apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: jenkins-ingress
  namespace: marvel2-dev
  annotations:
    external-dns.alpha.kubernetes.io/target: sun-z8s-vip-1.zooxlabs.com
spec:
  rules:
    - host: marvel-jenkins.zooxlabs.com
      http:
        paths:
          - path: /
            backend:
              serviceName: jenkins-svc
              servicePort: http
  tls:
  - hosts:
    - marvel-jenkins.zooxlabs.com
    secretName: z8s-cert
